summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-10-18 23:14:38 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-10-18 23:39:12 +0200
commit59f65abccf9c18ffca2223466dbcac028aba3ca1 (patch)
treea24a4de1b6e92057845509129b7d9d6aefb6f0bf /dev-qt/qtlocation
parentkde-apps/kiten: Drop 18.08.2 (r0) (diff)
downloadgentoo-59f65abccf9c18ffca2223466dbcac028aba3ca1.tar.gz
gentoo-59f65abccf9c18ffca2223466dbcac028aba3ca1.tar.bz2
gentoo-59f65abccf9c18ffca2223466dbcac028aba3ca1.zip
dev-qt: Add Qt 5.11.2
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-qt/qtlocation')
-rw-r--r--dev-qt/qtlocation/Manifest1
-rw-r--r--dev-qt/qtlocation/qtlocation-5.11.2.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
index 1b955963303..55a8e12ea1a 100644
--- a/dev-qt/qtlocation/Manifest
+++ b/dev-qt/qtlocation/Manifest
@@ -1,2 +1,3 @@
DIST qtlocation-everywhere-src-5.11.1.tar.xz 5593144 BLAKE2B cd9fe409ecc3f3dde665f4bb77f93d515b88bce382655adcbfc9f60b7f7446abe800a91d612fa4b379efa9a783a4158ed34ff1ce11b3ea929e087062d0fa6f1a SHA512 8b89aae5bb7caa0999c20c86da1a356e5ba21e1e12ac892a695d180f21527846aa45f926828934b83147b851145477028ff1212802c1c21f8f6bb4e616b8b1fd
+DIST qtlocation-everywhere-src-5.11.2.tar.xz 5584420 BLAKE2B e7b0cd716edab33d19f1b9ef519a35ea8094ccc85ce015eb7f3e26c61f62bcc7ff9419dd79da5d8ebec9f3b0630cea7c125f237ed39b7ed1917a45408cf7dc51 SHA512 84a52aedac59f1bc4372538dc0810c742f87f04b2ee599e7ed3f8f0cfe0e13d652e80d3cf7de95395bbe1285a60cc15791760e17f0975cf8399527cdadbd7c1b
DIST qtlocation-opensource-src-5.9.6.tar.xz 5405652 BLAKE2B 001bb5ea4d73ac67a1e1a70e3218c2cd0554b02f84001da88e3109531b8c0f51264a51276edae5c899aa68b5d1ba1bf6d55ef9e3d409b3676f60657cc8deb86c SHA512 63071f88b6b742701a0f26a11edb20e50a7a9f158c8a79dcdfd39668197963e5d505a1de828acad273ebc54f15f51fa1089ed03953cc46ca9c68ddad647ac06a
diff --git a/dev-qt/qtlocation/qtlocation-5.11.2.ebuild b/dev-qt/qtlocation/qtlocation-5.11.2.ebuild
new file mode 100644
index 00000000000..b6f3af24dda
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-5.11.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="The Location module for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdeclarative-${PV}
+ ~dev-qt/qtgui-${PV}
+ ~dev-qt/qtnetwork-${PV}
+ ~dev-qt/qtpositioning-${PV}
+ ~dev-qt/qtsql-${PV}
+ sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+ ~dev-qt/qtconcurrent-${PV}
+"
+
+QT5_TARGET_SUBDIRS=(
+ src/3rdparty/clipper
+ src/3rdparty/poly2tri
+ src/3rdparty/clip2tri
+ src/3rdparty/mapbox-gl-native
+ src/location
+ src/imports/location
+ src/plugins/geoservices
+)
+
+src_configure() {
+ # src/plugins/geoservices requires files that are only generated when
+ # qmake is run in the root directory. Bug 633776.
+ mkdir -p "${QT5_BUILD_DIR}" || die
+ qt5_qmake "${QT_BUILD_DIR}"
+ qt5-build_src_configure
+}